curl https://api.thanxsandbox.com/communication_settings/woerihfslkwer \
-X PATCH \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
-d '{
"communication_settings": {
"reward_earned": {
"notification": false,
"email": false
},
"feedback_available": {
"notification": true
}
}
}'
{
"communication_settings": [
{
"id": "weori234098",
"merchant_id": "owierywtwt",
"merchant_handle": "example-merchant",
"user_id": "woeruijsfwer",
"reward_earned": {
"notification": true,
"email": true
},
"reward_unused": {
"notification": true,
"email": true
},
"reward_progress": {
"notification": true,
"email": true
},
"reward_offer": {
"notification": true,
"email": true
},
"feedback_available": {
"notification": true
},
"marketing_general": {
"email": true,
"sms": true
}
}
]
}
Communication Settings
Get Communication Settings
This endpoint returns a user’s communication settings. The notification key reflects a user’s settings for receiving push notifications in their app. The email key reflects a user’s settings for receiving emails. The sms key (under marketing_general) reflects a user’s settings for receiving SMS messages.
GET
/
communication_settings
curl https://api.thanxsandbox.com/communication_settings/woerihfslkwer \
-X PATCH \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
-d '{
"communication_settings": {
"reward_earned": {
"notification": false,
"email": false
},
"feedback_available": {
"notification": true
}
}
}'
{
"communication_settings": [
{
"id": "weori234098",
"merchant_id": "owierywtwt",
"merchant_handle": "example-merchant",
"user_id": "woeruijsfwer",
"reward_earned": {
"notification": true,
"email": true
},
"reward_unused": {
"notification": true,
"email": true
},
"reward_progress": {
"notification": true,
"email": true
},
"reward_offer": {
"notification": true,
"email": true
},
"feedback_available": {
"notification": true
},
"marketing_general": {
"email": true,
"sms": true
}
}
]
}
Please review proper request headers here.
Parameters
string
Merchant ID
Response
string
The ID of the settings record
string
The ID of the merchant
string
The handle of the merchant
string
The ID of the user
hash
hash
hash
hash
hash
Settings for when a user has the opportunity to leave feedback for a purchase
Show feedback_available
Show feedback_available
boolean
app notification setting
hash
curl https://api.thanxsandbox.com/communication_settings/woerihfslkwer \
-X PATCH \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
-d '{
"communication_settings": {
"reward_earned": {
"notification": false,
"email": false
},
"feedback_available": {
"notification": true
}
}
}'
{
"communication_settings": [
{
"id": "weori234098",
"merchant_id": "owierywtwt",
"merchant_handle": "example-merchant",
"user_id": "woeruijsfwer",
"reward_earned": {
"notification": true,
"email": true
},
"reward_unused": {
"notification": true,
"email": true
},
"reward_progress": {
"notification": true,
"email": true
},
"reward_offer": {
"notification": true,
"email": true
},
"feedback_available": {
"notification": true
},
"marketing_general": {
"email": true,
"sms": true
}
}
]
}